CVE-2019-17450

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

find_abstract_instance in dwarf2.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.32, allows remote attackers to cause a denial of service (infinite recursion and application crash) via a crafted ELF file.

References

http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00078.html

http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00004.html

https://security.gentoo.org/glsa/202007-39

https://security.netapp.com/advisory/ntap-20191024-0002/

https://sourceware.org/bugzilla/show_bug.cgi?id=25078

https://usn.ubuntu.com/4336-1/

Details

Source: MITRE

Published: 2019-10-10

Updated: 2020-11-02

Type: CWE-674

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:binutils:2.32:*:*:*:*:*:*:*

Tenable Plugins

View all (23 total)

IDNameProductFamilySeverity
154583NewStart CGSL MAIN 6.02 : binutils Multiple Vulnerabilities (NS-SA-2021-0122)NessusNewStart CGSL Local Security Checks
high
151919Ubuntu 16.04 LTS : GNU binutils vulnerabilities (USN-4336-2)NessusUbuntu Local Security Checks
critical
151388EulerOS Virtualization 3.0.2.2 : bindutils (EulerOS-SA-2021-2128)NessusHuawei Local Security Checks
medium
149165EulerOS 2.0 SP3 : binutils (EulerOS-SA-2021-1767)NessusHuawei Local Security Checks
medium
148067EulerOS 2.0 SP5 : binutils (EulerOS-SA-2021-1670)NessusHuawei Local Security Checks
medium
147574EulerOS Virtualization 3.0.2.6 : binutils (EulerOS-SA-2021-1408)NessusHuawei Local Security Checks
medium
147456EulerOS Virtualization for ARM 64 3.0.2.0 : binutils (EulerOS-SA-2021-1388)NessusHuawei Local Security Checks
medium
147451EulerOS Virtualization 3.0.6.6 : binutils (EulerOS-SA-2021-1459)NessusHuawei Local Security Checks
medium
147261NewStart CGSL MAIN 6.02 : binutils Multiple Vulnerabilities (NS-SA-2021-0090)NessusNewStart CGSL Local Security Checks
high
146710EulerOS 2.0 SP2 : binutils (EulerOS-SA-2021-1282)NessusHuawei Local Security Checks
medium
145890CentOS 8 : binutils (CESA-2020:4465)NessusCentOS Local Security Checks
medium
143785SUSE SLES15 Security Update : binutils (SUSE-SU-2020:3552-1)NessusSuSE Local Security Checks
high
143614SUSE SLED15 / SLES15 Security Update : binutils (SUSE-SU-2020:3060-1)NessusSuSE Local Security Checks
high
143093RHEL 8 : binutils (RHSA-2020:4465)NessusRed Hat Local Security Checks
medium
142811Oracle Linux 8 : binutils (ELSA-2020-4465)NessusOracle Linux Local Security Checks
medium
142163openSUSE Security Update : binutils (openSUSE-2020-1790)NessusSuSE Local Security Checks
high
142149openSUSE Security Update : binutils (openSUSE-2020-1804)NessusSuSE Local Security Checks
high
138962GLSA-202007-39 : Binutils: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
135966Ubuntu 18.04 LTS : GNU binutils vulnerabilities (USN-4336-1)NessusUbuntu Local Security Checks
critical
132828EulerOS Virtualization for ARM 64 3.0.5.0 : binutils (EulerOS-SA-2020-1074)NessusHuawei Local Security Checks
high
132531Photon OS 2.0: Binutils PHSA-2019-2.0-0190NessusPhotonOS Local Security Checks
medium
132521Photon OS 1.0: Binutils PHSA-2019-1.0-0257NessusPhotonOS Local Security Checks
medium
131342EulerOS 2.0 SP8 : binutils (EulerOS-SA-2019-2276)NessusHuawei Local Security Checks
medium